import sqlite3
import bottle

# Définition d'une route et d'un gestionnaire pour la page d'accueil


@bottle.route('/')
def accueil():
    # 1. Connexion à la base
    connexion = sqlite3.connect('bdd/todo.db')
    # 2. Création d'un curseur pour exécuter les requêtes
    curseur = connexion.cursor()
    # 3. Exécution des requêtes
    curseur.execute("SELECT * FROM todo ORDER BY categorie,sujet")
    # Le résultat renvoyé par la requête est une liste de tuples
    resultat = curseur.fetchall()
    # 4. Déconnexion
    curseur.close()
    # 5. Mise en forme de la page pour l'affichage dans le navigateur
    html = '<h2>Ma liste des "choses à faire"</h2>' + str(resultat)
    # 6. Transmission de la page au navigateur
    return html


# run() démarre le micro serveur Web Bottle sur: http://127.0.0.1:port/
bottle.run(bottle.app(), host='127.0.0.1',
           port=5000, debug=True, reloader=True)
