import sqlite3
import bottle

# Définition d'une route et d'un gestionnaire pour la page d'accueil


@bottle.route('/')
def accueil():
    # 1. Connexion à la base de données
    connexion = sqlite3.connect('bdd/todo.db')
    # 2. Création d'un curseur pour exécuter les requêtes
    curseur = connexion.cursor()
    # 3. Exécution de requêtes
    curseur.execute("SELECT * FROM todo ORDER BY categorie,sujet")
    # Rem : Le résultat renvoyé par la requête est une liste de tuples
    resultat = curseur.fetchall()
    # 4. Deconnexion
    curseur.close()
    # 5. Identification du template utilisé
    html = bottle.template('template/pagev1.tpl', table=resultat)
    # 6. Transmission des données au navigateur
    return html


# run() démarre le micro serveur Web Bottle sur: http://127.0.0.1:port/
bottle.run(bottle.app(), host='127.0.0.1',
           port=5000, debug=True, reloader=True)
